
library(ggplot2)
library(patchwork)
library(RColorBrewer)

nb.cols <- 12
mycolors <- colorRampPalette(brewer.pal(8, "RdGy"))(nb.cols)

# library(ggpubr)
# library(tidyverse)

#ggarrange

###PLOTS OF GWF DATASET
A1_AFE_Month_Vessels = read.csv("A1_AFE_Month_Vessels.csv", sep = ";", header = T)
A1_AFE_Gear = read.csv("A1_AFE_Gear.csv", sep = ";", header = T)
A1_AFE_Flag = read.csv("A1_AFE_Flag.csv", sep = ";", header = T)

A2_AFE_Month = read.csv("A2_AFE_Month.csv", sep = ";", header = T)
A2_AFE_Gear = read.csv("A2_AFE_Gear.csv", sep = ";", header = T)
A2_AFE_Flag = read.csv("A2_AFE_Flag.csv", sep = ";", header = T)


# Basic barplot

A1_AFE_Month_Vessels$Month = factor(A1_AFE_Month_Vessels$Month, 
                                    levels= c("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"))

A1_Month=ggplot(A1_AFE_Month_Vessels, aes(x = Month, y = AFE, fill = Month))+
  geom_bar(stat='identity', width=0.8)+
  facet_grid(~Year)+
  theme_bw()+
  theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
  theme(axis.text.x=element_blank())+
  theme(axis.text=element_text(size=6))+
  theme(text = element_text(size = 40))+
  theme(axis.text = element_text(size = 40))+
  scale_y_continuous(expand = c(0,0))+
  scale_fill_manual(values = mycolors)


A1_Gear=ggplot(A1_AFE_Gear, aes(x = Gear, y = AFE, fill = Gear))+
  geom_bar(stat='identity', width=0.8)+
  facet_grid(~Year)+
  theme_bw()+
    theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
  theme(axis.text.x=element_blank())+
  theme(axis.text=element_text(size=6))+
  theme(text = element_text(size = 40))+
  theme(axis.text = element_text(size = 40))+
  scale_y_continuous(expand = c(0,0))+
  scale_fill_manual(values = mycolors)

A1_AFE_Flag$Year = factor(A1_AFE_Flag$Year, 
                                    levels= c("2016", "2017", "2018", "2019", "2020", "2021", "2022"))
A1_Flag= ggplot(A1_AFE_Flag, aes(x = Flag, y = AFE, fill = Flag))+
  geom_bar(stat='identity', width=0.8)+
  facet_grid(~Year)+
  theme_bw()+
  theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
  theme(axis.text.x=element_blank())+
  theme(axis.text=element_text(size=6))+
  theme(text = element_text(size = 40))+
  theme(axis.text = element_text(size = 40))+
  scale_y_continuous(expand = c(0,0))+
  scale_fill_manual(values = mycolors)

# A1_Vessels=ggplot(A1_AFE_Month_Vessels, aes(x = Month, y = N_Vessels, fill = Month))+
#   geom_bar(stat='identity', width=0.8)+
#   facet_grid(~Year)+
#   theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
#   theme(axis.text.x=element_blank())+
#   theme(axis.text=element_text(size=6))+
#   theme(text = element_text(size = 40))+
#   theme(axis.text = element_text(size = 40))+
#   scale_y_continuous(expand = c(0,0)) 

####for area2


A2_AFE_Month$Month = factor(A2_AFE_Month$Month, 
                                    levels= c("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"))
A2_Month=ggplot(A2_AFE_Month, aes(x = Month, y = AFE, fill = Month))+
  geom_bar(stat='identity', width=0.8)+
  facet_grid(~Year)+
  theme_bw()+
  theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
  theme(axis.text.x=element_blank())+
  labs(y= " ")+
  theme(axis.text=element_text(size=6))+
  theme(text = element_text(size = 40))+
  theme(axis.text = element_text(size = 40))+
  scale_y_continuous(expand = c(0,0))+
  scale_fill_manual(values = mycolors)

A2_Gear=ggplot(A2_AFE_Gear, aes(x = Gear, y = AFE, fill = Gear))+
  geom_bar(stat='identity', width=0.8)+
  facet_grid(~Year)+
  theme_bw()+
    theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
  theme(axis.text.x=element_blank())+
  labs(y= " ")+
  theme(axis.text=element_text(size=6))+
  theme(text = element_text(size = 40))+
  theme(axis.text = element_text(size = 40))+
  scale_y_continuous(expand = c(0,0))+
  scale_fill_manual(values = mycolors)

A2_AFE_Flag$Year = factor(A2_AFE_Flag$Year, 
                          levels= c("2016", "2017", "2018", "2019", "2020", "2021", "2022"))
A2_Flag= ggplot(A2_AFE_Flag, aes(x = Flag, y = AFE, fill = Flag))+
  geom_bar(stat='identity', width=0.8)+
  facet_grid(~Year)+
  theme_bw()+
    theme(axis.text.x = element_text(angle = 90, vjust = 0, hjust=0))+
  theme(axis.text.x=element_blank())+
  labs(y= " ")+
  theme(axis.text=element_text(size=6))+ 
  theme(text = element_text(size = 40))+
  theme(axis.text = element_text(size = 40))+
  scale_y_continuous(expand = c(0,0))+
  scale_fill_brewer(palette="RdGy")+
  scale_fill_manual(values = mycolors)


# tiff("test.tiff", units="cm", width=220, height=90, res=300, pointsize = 70)
# # insert ggplot code
# ggplot2.multiplot(A1_Month, A2_Month,
#                   A1_Gear, A2_Gear,
#                   A1_Flag, A2_Flag,
#                   A1_Vessels,
#                   cols=2)
# dev.off()


# png("test.png", units="cm", width=150, height=75, res=300, pointsize = 35)
# # insert ggplot code
# ggplot2.multiplot(A1_Month, A2_Month, A1_Gear, A2_Gear, A1_Flag, A2_Flag, cols=2)
# dev.off()
# 
# 
# png(filename="your/file/location/name.png")
# plot(fit)
# dev.off()



png("test5.png", units="cm", width=150, height=71, res=300, pointsize = 35)

A1_Month+A2_Month+A1_Gear+A2_Gear+A1_Flag+A2_Flag + plot_layout(ncol = 2)
dev.off()

